$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $(".tbody").on("keyup change blur focus", ".qty, .rate, .amount", calDetail);

//    $("body").on("change keyup blur", ".qty, .rate,.totbillamt,.discperc,.roundoff,.freightperc,.packing,.courier", caltran);
    $("body").on("blur ", ".rate", autoadd);
//    $("body").on("click", "#submit ,#cancel", hide_but);

    function autoadd() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

    $("#submit").click(function () {
        $("#submit").hide();
    });

    $("form").submit(function () {



        var valid = true,
                frmgd = $(".fromgd").val(),
                togd = $(".togd").val();
        // usertype = $(".usertype").val();
        if (frmgd == '') {
            alert('From Godown Cannot Be Empty');
            $(".fromgd").val("");
            $("#submit").show();
            return false;

            valid = false;
        }
        if (togd == '') {
            alert('To Godown Cannot Be Empty');
            $(".togd").val("");
            $("#submit").show();

            return false;

            valid = false;
        }
        if (frmgd != '' && togd != '') {
            if (frmgd != togd) {
            } else {
                alert('From & To Godown Cannot Be Same');
                $(".togd").val("");
                // $(".fromgd").val("");
                $("#submit").show();

                return false;


                valid = false;

            }

        }

        if (valid) {
            var isValid = true;

            if (isValid) {
                $("#submit").hide();
                $("#cancel").hide();

            }
        }
    });




    function calDetail() {
        var tr = $(this).closest("tr"),
                cartqty = tr.find(".cartqty").val(),
                qty = tr.find(".qty").val(),
                totqty = cartqty * qty,
                rate = tr.find(".rate").val(),
                amount = (rate * qty).toFixed(2);

        tr.find(".totqty").val(totqty);
        tr.find(".amount").val(amount);
        var totamt = 0,
           totalqty  = 0;

        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totamt += parseFloat(this.value);
            }
        });
        $(".totamt").val(totamt);

        $(".qty").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                totalqty += parseFloat(this.value);
            }
        });
        $(".totalqty").val(totalqty);
    }



    $('#addnew').click(function () {
        AddRows();
//        caltran();
    });
    function remove() {
        $(this).closest("tr").remove();
//        caltran();
    }


    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
//        var detail = ".fetchpart_" + ctr;
        var focusFld = ".focusFld_" + ctr;
        ctr++;
        $('#items').val(ctr);
        $.post('trnf_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');

//            $(detail).select2();
            $(focusFld).focus();
//            caltran();
        });
    }




});